from sqlalchemy import Column, String, Boolean
from app.models.base import BaseModel

class User(BaseModel):
    """Model for user accounts."""
    username = Column(String, unique=True, index=True, nullable=False)
    email = Column(String, unique=True, index=True, nullable=False)
    hashed_password = Column(String, nullable=False)
    full_name = Column(String, nullable=True)
    is_active = Column(Boolean, default=True)
    is_superuser = Column(Boolean, default=False)