from typing import Optional
from pydantic import BaseModel, EmailStr


class SupplierBase(BaseModel):
    name: Optional[str] = None
    contact_name: Optional[str] = None
    contact_email: Optional[EmailStr] = None
    contact_phone: Optional[str] = None
    address: Optional[str] = None
    notes: Optional[str] = None


class SupplierCreate(SupplierBase):
    name: str


class SupplierUpdate(SupplierBase):
    pass


class SupplierInDBBase(SupplierBase):
    id: int

    class Config:
        from_attributes = True


class Supplier(SupplierInDBBase):
    pass